// Quicksort
//
// Author: Rob Gysel
// ECS60, UC Davis
// Adapted from: Lysecky & Vahid "Data Structures Essentials", zyBooks

// include guard
#ifndef QUICKSORT_H
#define QUICKSORT_H

#include <vector>
#include <iostream>
#include <cstdio>

int* QuickSort(std::vector<int>* numbers);
void QuickSortRecurse(std::vector<int>* numbers, int i, int k, int *comparisonCounter, int *memAccessCounter);
int Partition(std::vector<int>* numbers, int i, int k, int *comparisonCounter, int *memAccessCounter);

#endif
